# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 菜单信息

### 查询菜单信息列表

**请求URL:** menu/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询菜单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;orderId|Long|排序编号
&emsp;&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1
&emsp;&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;&emsp;groupName|String|
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0
&emsp;&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看菜单信息

**请求URL:** menu/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看菜单信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/menu/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|菜单ID，主键，自增长
&emsp;name|String|菜单名称
&emsp;url|String|连接地址
&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;orderId|Long|排序编号
&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1
&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;groupName|String|
&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0
&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1441,
            "name":"chsgmz",
            "url":"k594fg",
            "parentId":8802,
            "orderId":7314,
            "status":9108,
            "linkType":9016,
            "groupId":3519,
            "groupName":"yt1ak9",
            "imgPath":"6rvtrv",
            "buttonImgPath":"8q73rw",
            "imgCommPath":"a3espz",
            "commMenu":2805,
            "menuType":9726,
            "authType":8876,
            "createTime":"2023-04-07",
            "createUserId":5531,
            "createUserName":"tw2ieh"
        }
}
```

### 保存更新菜单信息

**请求URL:** menu/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新菜单信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|菜单名称
url|String|否|连接地址
parentId|Long|否|父菜单ID，一级菜单的该字段值为-1
orderId|Long|否|排序编号
status|Integer|否|菜单状态，0：禁用，1：启用，默认1
linkType|Integer|否|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
groupId|Long|否|分组编号，使用菜单分隔符按该值分隔，默认1
groupName|String|否|
imgPath|String|否|主菜单图标，主菜单图标的css样式名
buttonImgPath|String|否|按钮图标，按钮图标的css样式名
imgCommPath|String|否|常用菜单图标，常用菜单图标的css样式名
commMenu|Integer|否|是否常用菜单，0：非常用，1：常用，默认0
menuType|Integer|否|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
authType|Integer|否|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"uqbfqf",
    "url":"7i7ch9",
    "parentId":8523,
    "orderId":4085,
    "status":1747,
    "linkType":5199,
    "groupId":4358,
    "groupName":"ipbqsu",
    "imgPath":"5olvxu",
    "buttonImgPath":"g5tcdp",
    "imgCommPath":"ne5b78",
    "commMenu":8445,
    "menuType":499,
    "authType":8436,
    "createUserName":"etu2zn"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;orderId|Long|排序编号
&emsp;&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1
&emsp;&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;&emsp;groupName|String|
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0
&emsp;&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除菜单信息

**请求URL:** menu/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除菜单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/menu/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 操作日志

### 查询操作日志列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看操作日志

**请求URL:** oper/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看操作日志，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/oper/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;platformMark|String|平台标识
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;loginName|String|用户登录名
&emsp;requestUrl|String|请求地址
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;ip|String|操作IP地址
&emsp;logDate|Date|操作时间
&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1948,
            "platformMark":"l3b8wt",
            "userId":8571,
            "userName":"d2qpn7",
            "loginName":"ac7xki",
            "requestUrl":"tr4bt8",
            "content":"ycwtrz",
            "ip":"ztyqkv",
            "logDate":"2023-04-07",
            "operType":5856
        }
}
```

### 保存更新操作日志

**请求URL:** oper/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新操作日志：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
platformMark|String|否|平台标识
userId|Long|否|用户id
userName|String|否|用户名称
loginName|String|否|用户登录名
requestUrl|String|否|请求地址
content|String|否|操作内容，记录操作具体信息，如修改前修改或的数据
ip|String|否|操作IP地址
logDate|Date|否|操作时间
operType|Integer|否|操作类型，0：新增，1：修改，2：删除

**请求样例:**
```
{
    "platformMark":"bqaun1",
    "userId":7704,
    "userName":"bn2tue",
    "loginName":"f3fvd6",
    "requestUrl":"udy713",
    "content":"85uqof",
    "ip":"2u9z5h",
    "logDate":"2023-04-07",
    "operType":1677
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除操作日志

**请求URL:** oper/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除操作日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/oper/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 参数信息

### 查询参数信息列表

**请求URL:** param/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询参数信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看参数信息

**请求URL:** param/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看参数信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/param/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|参数名称
&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;paramKey|String|参数键，全局唯一
&emsp;paramValue|String|参数值
&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9428,
            "name":"yirfko",
            "firstOrganize":"tuukd2",
            "secondOrganize":"vwudmt",
            "paramKey":"v32k9o",
            "paramValue":"kanwon",
            "validStatus":6195,
            "modStatus":6575,
            "displayType":4676,
            "remark":"dkvszd",
            "createTime":"2023-04-07",
            "createUserId":1222,
            "createUserName":"hks5ym"
        }
}
```

### 保存更新参数信息

**请求URL:** param/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新参数信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|参数名称
firstOrganize|String|否|一级组织，如：平台配置
secondOrganize|String|否|二级组织，如：基础配置
paramKey|String|否|参数键，全局唯一
paramValue|String|否|参数值
validStatus|Integer|否|参数有效状态，0：禁用，1：启用，默认1
modStatus|Integer|否|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
displayType|Integer|否|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
remark|String|否|备注
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"rma3m6",
    "firstOrganize":"xlf2da",
    "secondOrganize":"eto8p3",
    "paramKey":"8y3ncg",
    "paramValue":"ln88wa",
    "validStatus":9032,
    "modStatus":5097,
    "displayType":1339,
    "remark":"m9v6ot",
    "createUserName":"wzczk2"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除参数信息

**请求URL:** param/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除参数信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/param/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 资源信息

### 查询资源信息列表

**请求URL:** resource/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询资源信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|名称
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;sourceType|Integer|资源类型，0：系统资源，1：开放资源，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看资源信息

**请求URL:** resource/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看资源信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/resource/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|菜单ID，主键，自增长
&emsp;name|String|名称
&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;sourceType|Integer|资源类型，0：系统资源，1：开放资源，默认0
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8291,
            "name":"mc2h0l",
            "url":"jff41c",
            "authType":7793,
            "sourceType":8120,
            "createTime":"2023-04-07",
            "createUserId":7893,
            "createUserName":"6j39jg",
            "userType":4140
        }
}
```

### 保存更新资源信息

**请求URL:** resource/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新资源信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|名称
url|String|否|连接地址，多个地址以逗号分隔
authType|Integer|否|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
sourceType|Integer|否|资源类型，0：系统资源，1：开放资源，默认0
createUserName|String|否|创建用户名称
userType|Integer|否|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**请求样例:**
```
{
    "name":"5mk12i",
    "url":"ro72lm",
    "authType":9645,
    "sourceType":739,
    "createUserName":"kloocp",
    "userType":8276
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|名称
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
&emsp;&emsp;sourceType|Integer|资源类型，0：系统资源，1：开放资源，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除资源信息

**请求URL:** resource/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除资源信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/resource/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色信息

### 查询角色信息列表

**请求URL:** role/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色信息

**请求URL:** role/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|角色名称
&emsp;remark|String|备注
&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;customerId|Long|归属客户ID
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1425,
            "name":"p13fjm",
            "remark":"57nsqy",
            "roleType":3648,
            "customerId":1401,
            "createTime":"2023-04-07",
            "createUserId":757,
            "createUserName":"8fce6z",
            "userType":3528
        }
}
```

### 保存更新角色信息

**请求URL:** role/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|角色名称
remark|String|否|备注
roleType|Integer|否|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
customerId|Long|否|归属客户ID
createUserName|String|否|创建用户名称
userType|Integer|否|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**请求样例:**
```
{
    "name":"42wyug",
    "remark":"8xk5e5",
    "roleType":9453,
    "customerId":5491,
    "createUserName":"xem8ya",
    "userType":2447
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色信息

**请求URL:** role/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色资源权限

### 查询角色资源权限列表

**请求URL:** role/auth/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色资源权限

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;resourceId|Long|资源ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色资源权限

**请求URL:** role/auth/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色资源权限，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/auth/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;resourceId|Long|资源ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6151,
            "roleId":4952,
            "resourceId":2072
        }
}
```

### 保存更新角色资源权限

**请求URL:** role/auth/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色资源权限：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|否|角色ID
resourceId|Long|否|资源ID

**请求样例:**
```
{
    "roleId":867,
    "resourceId":5154
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;resourceId|Long|资源ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色资源权限

**请求URL:** role/auth/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色资源权限

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/auth/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色用户

### 查询角色用户列表

**请求URL:** role/user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色用户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色用户

**请求URL:** role/user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色用户，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3674,
            "roleId":4060,
            "userId":1101
        }
}
```

### 保存更新角色用户

**请求URL:** role/user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色用户：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|否|角色ID
userId|Long|否|用户ID

**请求样例:**
```
{
    "roleId":9149,
    "userId":4755
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色用户

**请求URL:** role/user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色用户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 任务信息

### 查询任务信息列表

**请求URL:** task/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询任务信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看任务信息

**请求URL:** task/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看任务信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/task/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|任务名称
&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;excuteService|String|任务执行服务
&emsp;excuteParam|String|任务执行参数
&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;remark|String|备注
&emsp;lastExcuteHost|String|最后执行主机
&emsp;lastExcuteTime|Date|最后执行时间
&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7669,
            "name":"6e4ffi",
            "taskKey":"0cajqh",
            "status":2636,
            "excuteService":"abibd3",
            "excuteParam":"iwlyhr",
            "excuteHost":"jd8pgc",
            "excuteStrategy":8725,
            "excuteDate":8064,
            "excuteTime":"ac5kcm",
            "remark":"sgl9dz",
            "lastExcuteHost":"y0aish",
            "lastExcuteTime":"2023-04-07",
            "interimExcuteStatus":1609,
            "createTime":"2023-04-07",
            "createUserId":4832,
            "createUserName":"zpvcja"
        }
}
```

### 保存更新任务信息

**请求URL:** task/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新任务信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|任务名称
taskKey|String|否|任务关键字，区分任务执行流程
status|Integer|否|任务状态，0：未启动，1：执行中，默认0
excuteService|String|否|任务执行服务
excuteParam|String|否|任务执行参数
excuteHost|String|否|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
excuteStrategy|Integer|否|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
excuteDate|Long|否|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
excuteTime|String|否|执行时间，格式：HH:mm，默认：00:00
remark|String|否|备注
lastExcuteHost|String|否|最后执行主机
lastExcuteTime|Date|否|最后执行时间
interimExcuteStatus|Integer|否|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"cas8jd",
    "taskKey":"um3hh6",
    "status":6257,
    "excuteService":"lp5gso",
    "excuteParam":"vgceo5",
    "excuteHost":"xchmir",
    "excuteStrategy":8377,
    "excuteDate":9340,
    "excuteTime":"f3ro2y",
    "remark":"34ixls",
    "lastExcuteHost":"mzm25v",
    "lastExcuteTime":"2023-04-07",
    "interimExcuteStatus":7541,
    "createUserName":"4cz0pm"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除任务信息

**请求URL:** task/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除任务信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/task/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 用户信息

### 查询用户信息列表

**请求URL:** user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;&emsp;lastModPwdAddr|String|最后修改密码地址
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户信息

**请求URL:** user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|用户ID，主键，自增长
&emsp;loginName|String|登录名
&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;realName|String|用户名
&emsp;mobile|String|用户手机号
&emsp;phone|String|用户联系电话
&emsp;email|String|用户邮箱
&emsp;qq|String|QQ号码
&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;siteId|Long|站点id
&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;customerId|Long|客户ID
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;lastModPwdAddr|String|最后修改密码地址
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5952,
            "loginName":"supk2s",
            "loginPwd":"y19lac",
            "loginPwd1":"kosgtv",
            "loginPwd2":"18ox1z",
            "loginPwd3":"twplgh",
            "loginLimitAddress":"76ywpg",
            "realName":"nktjha",
            "mobile":"v0e1se",
            "phone":"xlzpwk",
            "email":"k86h6v",
            "qq":"j711zw",
            "userType":488,
            "siteId":9171,
            "status":2493,
            "customerId":4624,
            "createTime":"2023-04-07",
            "createUserId":4808,
            "createUserName":"er0nq4",
            "lastLoginTime":"2023-04-07",
            "lastLoginAddress":"8zj5p7",
            "lastModPwdTime":"2023-04-07",
            "lastModPwdAddr":"hwum0k"
        }
}
```

### 保存更新用户信息

**请求URL:** user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|否|登录名
loginPwd|String|否|登录密码，使用md5双次加密
loginPwd1|String|否|最近一次使用密码，使用md5双次加密
loginPwd2|String|否|最近二次使用密码，使用md5双次加密
loginPwd3|String|否|最近三次使用密码，使用md5双次加密
loginLimitAddress|String|否|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
realName|String|否|用户名
mobile|String|否|用户手机号
phone|String|否|用户联系电话
email|String|否|用户邮箱
qq|String|否|QQ号码
userType|Integer|否|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
siteId|Long|否|站点id
status|Integer|否|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
customerId|Long|否|客户ID
createUserName|String|否|创建用户名称
lastLoginTime|Date|否|最后一次登录时间
lastLoginAddress|String|否|最后一次登录地址
lastModPwdTime|Date|否|最后修改密码时间
lastModPwdAddr|String|否|最后修改密码地址

**请求样例:**
```
{
    "loginName":"2pgduu",
    "loginPwd":"nfvp95",
    "loginPwd1":"3nmjn9",
    "loginPwd2":"pbvblk",
    "loginPwd3":"z5p0bd",
    "loginLimitAddress":"c8ny1n",
    "realName":"wk2z7p",
    "mobile":"kiicsx",
    "phone":"rm1lml",
    "email":"gbhqv3",
    "qq":"843rvu",
    "userType":1107,
    "siteId":2770,
    "status":3125,
    "customerId":9677,
    "createUserName":"d4vw5a",
    "lastLoginTime":"2023-04-07",
    "lastLoginAddress":"zc7fqv",
    "lastModPwdTime":"2023-04-07",
    "lastModPwdAddr":"0mt6pn"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;&emsp;lastModPwdAddr|String|最后修改密码地址

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户信息

**请求URL:** user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```



## 员工基本信息

### 查询员工基本信息列表

**请求URL:** staff/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工基本信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型（1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)

**请求样例:**
```
  {
        "name":"y5p5ef",
        "gender":8939,
        "politicalstatus":1774,
        "staffType":7837,
        "status":1525,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型（1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;registerPath|String|入职登记表
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|转正时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工基本信息

**请求URL:** staff/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工基本信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;positionId|Long|职位ID
&emsp;positionName|String|职位名称
&emsp;staffType|Integer|员工类型（1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;registerPath|String|入职登记表
&emsp;entryDate|Date|入职时间
&emsp;regularDate|Date|转正时间
&emsp;leaveDate|Date|离职时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6337,
            "name":"p32q2z",
            "gender":8839,
            "birthday":"2023-04-07",
            "photoPath":"6ls1ck",
            "phoneNumber":"zu01rs",
            "idCard":"8twbzr",
            "workNum":"y5knh2",
            "politicalstatus":9857,
            "deptId":7655,
            "deptName":"809k34",
            "positionId":4476,
            "positionName":"8sz14l",
            "staffType":4327,
            "status":3062,
            "registerPath":"uos02u",
            "entryDate":"2023-04-07",
            "regularDate":"2023-04-07",
            "leaveDate":"2023-04-07",
            "remark":"mt5x41",
            "createUserId":1356,
            "createTime":"2023-04-07",
            "updateUserId":3615,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工基本信息

**请求URL:** staff/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工基本信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
positionId|Long|否|职位ID
positionName|String|否|职位名称
staffType|Integer|否|员工类型（1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
registerPath|String|否|入职登记表
entryDate|Date|否|入职时间
regularDate|Date|否|转正时间
leaveDate|Date|否|离职时间
remark|String|否|备注

**请求样例:**
```
{
    "name":"jgufgp",
    "gender":4538,
    "birthday":"2023-04-07",
    "photoPath":"lonu8w",
    "phoneNumber":"y218v1",
    "idCard":"386nlp",
    "workNum":"lt1x1j",
    "politicalstatus":4498,
    "deptId":7309,
    "deptName":"c4s2zd",
    "positionId":5928,
    "positionName":"tx79ta",
    "staffType":3392,
    "status":4928,
    "registerPath":"wx2htz",
    "entryDate":"2023-04-07",
    "regularDate":"2023-04-07",
    "leaveDate":"2023-04-07",
    "remark":"1yr820",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型（1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;registerPath|String|入职登记表
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|转正时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工基本信息

**请求URL:** staff/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工基本信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工关怀信息

### 查询员工关怀信息列表

**请求URL:** staff/care/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工关怀信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sendStatus|Integer|否|发送状态(0.未发送,1.已发送)

**请求样例:**
```
  {
        "staffName":"cadpn6",
        "careType":9743,
        "sendStatus":9996,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sendStatus|Integer|发送状态(0.未发送,1.已发送)
&emsp;&emsp;content|String|关怀内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sendStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工关怀信息

**请求URL:** staff/care/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工关怀信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/care/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;birthday|Date|出生日期
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;entryDate|Date|入职时间
&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;sendStatus|Integer|发送状态(0.未发送,1.已发送)
&emsp;content|String|关怀内容
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sendStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5406,
            "staffId":7718,
            "staffName":"ilxlcv",
            "birthday":"2023-04-07",
            "deptId":6568,
            "deptName":"ki0rxs",
            "jobId":8748,
            "jobName":"q7m4sb",
            "entryDate":"2023-04-07",
            "careType":1674,
            "sendStatus":6743,
            "content":"5i5zxm",
            "createUserId":2195,
            "createTime":"2023-04-07",
            "updateUserId":9342,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工关怀信息

**请求URL:** staff/care/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工关怀信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
birthday|Date|否|出生日期
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
entryDate|Date|否|入职时间
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sendStatus|Integer|否|发送状态(0.未发送,1.已发送)
content|String|否|关怀内容

**请求样例:**
```
{
    "staffId":1830,
    "staffName":"i72ef6",
    "birthday":"2023-04-07",
    "deptId":9811,
    "deptName":"4pd139",
    "jobId":9724,
    "jobName":"2ecuwq",
    "entryDate":"2023-04-07",
    "careType":6520,
    "sendStatus":7035,
    "content":"hl1z18",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sendStatus|Integer|发送状态(0.未发送,1.已发送)
&emsp;&emsp;content|String|关怀内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工关怀信息

**请求URL:** staff/care/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工关怀信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/care/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 关怀问候信息

### 查询关怀问候信息列表

**请求URL:** care/template/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询关怀问候信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sms|Integer|否|是否短信提示(1.是,0.否)

**请求样例:**
```
  {
        "careType":2949,
        "sms":8579,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sms|Integer|是否短信提示(1.是,0.否)
&emsp;&emsp;smsTemplate|String|短信模板内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sms|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看关怀问候信息

**请求URL:** care/template/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看关怀问候信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/care/template/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;sms|Integer|是否短信提示(1.是,0.否)
&emsp;smsTemplate|String|短信模板内容
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;careType|object|字典属性对象，详见附录
&emsp;sms|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1530,
            "careType":1020,
            "sms":3175,
            "smsTemplate":"ictzu5",
            "createUserId":1322,
            "createTime":"2023-04-07",
            "updateUserId":1047,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新关怀问候信息

**请求URL:** care/template/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新关怀问候信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
careType|Integer|否|关怀类型(1.生日关怀,2.入职周年关怀)
sms|Integer|否|是否短信提示(1.是,0.否)
smsTemplate|String|否|短信模板内容

**请求样例:**
```
{
    "careType":7326,
    "sms":1136,
    "smsTemplate":"mvb4ga",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;careType|Integer|关怀类型(1.生日关怀,2.入职周年关怀)
&emsp;&emsp;sms|Integer|是否短信提示(1.是,0.否)
&emsp;&emsp;smsTemplate|String|短信模板内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除关怀问候信息

**请求URL:** care/template/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除关怀问候信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/care/template/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 职位信息

### 查询职位信息列表

**请求URL:** job/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询职位信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
groupName|String|否|分组名称,字段前后添加%%模糊查询
jobCode|String|否|职位编码,字段前后添加%%模糊查询
jobName|String|否|职位名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "groupName":"221sgc",
        "jobCode":"buzhdj",
        "jobName":"vduagu",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;groupId|Long|分组id
&emsp;&emsp;groupName|String|分组名称
&emsp;&emsp;jobCode|String|职位编码
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看职位信息

**请求URL:** job/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看职位信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/job/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;groupId|Long|分组id
&emsp;groupName|String|分组名称
&emsp;jobCode|String|职位编码
&emsp;jobName|String|职位名称
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3224,
            "groupId":5192,
            "groupName":"y8zckh",
            "jobCode":"djdvg1",
            "jobName":"k2657g",
            "remark":"ajxdd3",
            "createTime":"2023-04-07",
            "createUserId":4686,
            "updateUserId":8121,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新职位信息

**请求URL:** job/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新职位信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupId|Long|否|分组id
groupName|String|否|分组名称
jobCode|String|否|职位编码
jobName|String|否|职位名称
remark|String|否|备注

**请求样例:**
```
{
    "groupId":3140,
    "groupName":"q8jukx",
    "jobCode":"38mrsx",
    "jobName":"fxtzka",
    "remark":"owe9bs",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;groupId|Long|分组id
&emsp;&emsp;groupName|String|分组名称
&emsp;&emsp;jobCode|String|职位编码
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除职位信息

**请求URL:** job/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除职位信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/job/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工黑名单信息

### 查询员工黑名单信息列表

**请求URL:** staff/black/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工黑名单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "staffName":"2cf8le",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;blackDate|Date|拉黑时间
&emsp;&emsp;blackReason|String|拉黑原因
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工黑名单信息

**请求URL:** staff/black/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工黑名单信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/black/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;leaveDate|Date|离职时间
&emsp;leaveReason|String|离职原因
&emsp;blackDate|Date|拉黑时间
&emsp;blackReason|String|拉黑原因
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7976,
            "staffId":2059,
            "staffName":"v6h05h",
            "phoneNumber":"rnp4s4",
            "idCard":"kqgdik",
            "leaveDate":"2023-04-07",
            "leaveReason":"vec2zy",
            "blackDate":"2023-04-07",
            "blackReason":"i2bgph",
            "createUserId":6606,
            "createTime":"2023-04-07",
            "updateUserId":8949,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工黑名单信息

**请求URL:** staff/black/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工黑名单信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
leaveDate|Date|否|离职时间
leaveReason|String|否|离职原因
blackDate|Date|否|拉黑时间
blackReason|String|否|拉黑原因

**请求样例:**
```
{
    "staffId":9777,
    "staffName":"0wnybk",
    "phoneNumber":"jtmkf2",
    "idCard":"u2dtvz",
    "leaveDate":"2023-04-07",
    "leaveReason":"cqi42n",
    "blackDate":"2023-04-07",
    "blackReason":"z8ydfe",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;blackDate|Date|拉黑时间
&emsp;&emsp;blackReason|String|拉黑原因
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工黑名单信息

**请求URL:** staff/black/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工黑名单信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/black/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工调岗信息

### 查询员工调岗信息列表

**请求URL:** staff/adjust/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工调岗信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
fullName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别1男2女
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型1全职2兼职3实习
status|Integer|否|员工状态1正式2试用3离职
auditStatus|Integer|否|审核状态0待审核1通过2拒绝

**请求样例:**
```
  {
        "fullName":"77rlzh",
        "gender":6563,
        "politicalstatus":677,
        "staffType":5884,
        "status":4855,
        "auditStatus":4704,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;fullName|String|员工姓名
&emsp;&emsp;gender|Integer|性别1男2女
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型1全职2兼职3实习
&emsp;&emsp;status|Integer|员工状态1正式2试用3离职
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;newDeptId|Long|调岗后所属部门
&emsp;&emsp;newDeptName|String|调岗后所属部门名称
&emsp;&emsp;newJobId|Long|调岗后职位ID
&emsp;&emsp;newJobName|String|调岗后职位名称
&emsp;&emsp;auditStatus|Integer|审核状态0待审核1通过2拒绝
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工调岗信息

**请求URL:** staff/adjust/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工调岗信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/adjust/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;fullName|String|员工姓名
&emsp;gender|Integer|性别1男2女
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型1全职2兼职3实习
&emsp;status|Integer|员工状态1正式2试用3离职
&emsp;entryDate|Date|入职时间
&emsp;newDeptId|Long|调岗后所属部门
&emsp;newDeptName|String|调岗后所属部门名称
&emsp;newJobId|Long|调岗后职位ID
&emsp;newJobName|String|调岗后职位名称
&emsp;auditStatus|Integer|审核状态0待审核1通过2拒绝
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8552,
            "staffId":957,
            "fullName":"h2hfnd",
            "gender":3656,
            "birthday":"2023-04-07",
            "photoPath":"zqh2nl",
            "phoneNumber":"l8qdhi",
            "idCard":"o5147u",
            "workNum":"prbbri",
            "politicalstatus":9101,
            "deptId":3017,
            "deptName":"rin5u3",
            "jobId":7376,
            "jobName":"zy8daw",
            "staffType":1956,
            "status":1007,
            "entryDate":"2023-04-07",
            "newDeptId":3421,
            "newDeptName":"lpqb3j",
            "newJobId":5327,
            "newJobName":"cyt3el",
            "auditStatus":6705,
            "createUserId":6435,
            "createTime":"2023-04-07",
            "updateUserId":5359,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工调岗信息

**请求URL:** staff/adjust/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工调岗信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
fullName|String|是|员工姓名
gender|Integer|否|性别1男2女
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型1全职2兼职3实习
status|Integer|否|员工状态1正式2试用3离职
entryDate|Date|否|入职时间
newDeptId|Long|否|调岗后所属部门
newDeptName|String|否|调岗后所属部门名称
newJobId|Long|否|调岗后职位ID
newJobName|String|否|调岗后职位名称
auditStatus|Integer|否|审核状态0待审核1通过2拒绝

**请求样例:**
```
{
    "staffId":3217,
    "fullName":"td8xic",
    "gender":63,
    "birthday":"2023-04-07",
    "photoPath":"24fmdl",
    "phoneNumber":"7wvn1t",
    "idCard":"ccwqzx",
    "workNum":"lddz8i",
    "politicalstatus":278,
    "deptId":4406,
    "deptName":"mjwu8i",
    "jobId":1252,
    "jobName":"4veo60",
    "staffType":2611,
    "status":4389,
    "entryDate":"2023-04-07",
    "newDeptId":1373,
    "newDeptName":"69ywom",
    "newJobId":9937,
    "newJobName":"adanq7",
    "auditStatus":6942,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;fullName|String|员工姓名
&emsp;&emsp;gender|Integer|性别1男2女
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型1全职2兼职3实习
&emsp;&emsp;status|Integer|员工状态1正式2试用3离职
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;newDeptId|Long|调岗后所属部门
&emsp;&emsp;newDeptName|String|调岗后所属部门名称
&emsp;&emsp;newJobId|Long|调岗后职位ID
&emsp;&emsp;newJobName|String|调岗后职位名称
&emsp;&emsp;auditStatus|Integer|审核状态0待审核1通过2拒绝
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工调岗信息

**请求URL:** staff/adjust/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工调岗信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/adjust/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工转正信息

### 查询员工转正信息列表

**请求URL:** staff/regular/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工转正信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
  {
        "staffName":"jkx5dg",
        "gender":7367,
        "politicalstatus":8324,
        "staffType":5393,
        "status":5788,
        "auditStatus":5888,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|计划转正时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工转正信息

**请求URL:** staff/regular/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工转正信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/regular/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;entryDate|Date|入职时间
&emsp;regularDate|Date|计划转正时间
&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4284,
            "staffId":9737,
            "staffName":"wkc6ll",
            "gender":7249,
            "birthday":"2023-04-07",
            "photoPath":"kekt4t",
            "phoneNumber":"a538xt",
            "idCard":"rx3ylf",
            "workNum":"u5nxj5",
            "politicalstatus":6419,
            "deptId":4844,
            "deptName":"y9qfq5",
            "jobId":1808,
            "jobName":"ljq3w6",
            "staffType":9203,
            "status":8869,
            "entryDate":"2023-04-07",
            "regularDate":"2023-04-07",
            "auditStatus":6208,
            "createUserId":9806,
            "createTime":"2023-04-07",
            "updateUserId":8254,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工转正信息

**请求URL:** staff/regular/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工转正信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
entryDate|Date|否|入职时间
regularDate|Date|否|计划转正时间
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
{
    "staffId":7978,
    "staffName":"ig68k5",
    "gender":9468,
    "birthday":"2023-04-07",
    "photoPath":"zmv9yo",
    "phoneNumber":"130ex1",
    "idCard":"hc8efe",
    "workNum":"zh36g8",
    "politicalstatus":5568,
    "deptId":3112,
    "deptName":"ziho5o",
    "jobId":7487,
    "jobName":"225bc2",
    "staffType":6798,
    "status":7410,
    "entryDate":"2023-04-07",
    "regularDate":"2023-04-07",
    "auditStatus":1101,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;regularDate|Date|计划转正时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工转正信息

**请求URL:** staff/regular/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工转正信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/regular/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工离职信息

### 查询员工离职信息列表

**请求URL:** staff/leave/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工离职信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
auditStatus|Integer|否|审核状态(0.待审,1.通过,2.拒绝)

**请求样例:**
```
  {
        "staffName":"jaqqtt",
        "gender":2456,
        "politicalstatus":5558,
        "staffType":2880,
        "status":1533,
        "auditStatus":7974,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工离职信息

**请求URL:** staff/leave/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工离职信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/leave/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;entryDate|Date|入职时间
&emsp;leaveDate|Date|离职时间
&emsp;leaveReason|String|离职原因
&emsp;auditStatus|Integer|审核状态(0.待审,1.通过,2.拒绝)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4180,
            "staffId":5460,
            "staffName":"tizt3f",
            "gender":5441,
            "birthday":"2023-04-07",
            "photoPath":"oi0ykl",
            "phoneNumber":"tgql5q",
            "idCard":"60co5x",
            "workNum":"po141l",
            "politicalstatus":3158,
            "deptId":3888,
            "deptName":"7apyah",
            "jobId":4805,
            "jobName":"h8reg1",
            "staffType":4093,
            "status":4331,
            "entryDate":"2023-04-07",
            "leaveDate":"2023-04-07",
            "leaveReason":"0naxip",
            "auditStatus":9167,
            "createUserId":107,
            "createTime":"2023-04-07",
            "updateUserId":5996,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工离职信息

**请求URL:** staff/leave/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工离职信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
entryDate|Date|否|入职时间
leaveDate|Date|否|离职时间
leaveReason|String|否|离职原因
auditStatus|Integer|否|审核状态(0.待审,1.通过,2.拒绝)

**请求样例:**
```
{
    "staffId":1747,
    "staffName":"zs2b8y",
    "gender":230,
    "birthday":"2023-04-07",
    "photoPath":"xvb4pa",
    "phoneNumber":"163lt1",
    "idCard":"7hkmuo",
    "workNum":"pcldym",
    "politicalstatus":1344,
    "deptId":7170,
    "deptName":"d685vo",
    "jobId":5375,
    "jobName":"gwbl8f",
    "staffType":7543,
    "status":5308,
    "entryDate":"2023-04-07",
    "leaveDate":"2023-04-07",
    "leaveReason":"g8ntbg",
    "auditStatus":6655,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;leaveDate|Date|离职时间
&emsp;&emsp;leaveReason|String|离职原因
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工离职信息

**请求URL:** staff/leave/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工离职信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/leave/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工合同信息

### 查询员工合同信息列表

**请求URL:** staff/contract/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工合同信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询
gender|Integer|否|性别(1.男,2.女)
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
contractType|Integer|否|合同类型(1.纸质)
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
  {
        "staffName":"u3my55",
        "gender":9973,
        "politicalstatus":3486,
        "staffType":3695,
        "status":8414,
        "contractType":8004,
        "auditStatus":387,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;contractStartDate|Date|现合同开始时间
&emsp;&emsp;contractEndDate|Date|现合同到期时间
&emsp;&emsp;contractCompany|String|合同公司
&emsp;&emsp;contractType|Integer|合同类型(1.纸质)
&emsp;&emsp;newStartDate|Date|新合同开始时间
&emsp;&emsp;newEndDate|Date|新合同到期时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;contractType|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工合同信息

**请求URL:** staff/contract/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工合同信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/staff/contract/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;gender|Integer|性别(1.男,2.女)
&emsp;birthday|Date|出生日期
&emsp;photoPath|String|照片
&emsp;phoneNumber|String|联系电话
&emsp;idCard|String|身份证号码
&emsp;workNum|String|工号
&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;jobId|Long|职位ID
&emsp;jobName|String|职位名称
&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;entryDate|Date|入职时间
&emsp;contractStartDate|Date|现合同开始时间
&emsp;contractEndDate|Date|现合同到期时间
&emsp;contractCompany|String|合同公司
&emsp;contractType|Integer|合同类型(1.纸质)
&emsp;newStartDate|Date|新合同开始时间
&emsp;newEndDate|Date|新合同到期时间
&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;staffType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;contractType|object|字典属性对象，详见附录
&emsp;auditStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4417,
            "staffId":3135,
            "staffName":"ykurug",
            "gender":6749,
            "birthday":"2023-04-07",
            "photoPath":"cpli2q",
            "phoneNumber":"aloc3u",
            "idCard":"dfw5hu",
            "workNum":"9urejv",
            "politicalstatus":5459,
            "deptId":4605,
            "deptName":"nt2lnt",
            "jobId":434,
            "jobName":"h3i6se",
            "staffType":7033,
            "status":3252,
            "entryDate":"2023-04-07",
            "contractStartDate":"2023-04-07",
            "contractEndDate":"2023-04-07",
            "contractCompany":"dy5z30",
            "contractType":6891,
            "newStartDate":"2023-04-07",
            "newEndDate":"2023-04-07",
            "auditStatus":1114,
            "createUserId":773,
            "createTime":"2023-04-07",
            "updateUserId":9939,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工合同信息

**请求URL:** staff/contract/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工合同信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
gender|Integer|否|性别(1.男,2.女)
birthday|Date|否|出生日期
photoPath|String|否|照片
phoneNumber|String|否|联系电话
idCard|String|否|身份证号码
workNum|String|否|工号
politicalstatus|Integer|否|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
jobId|Long|否|职位ID
jobName|String|否|职位名称
staffType|Integer|否|员工类型(1.全职,2.兼职,3.实习)
status|Integer|否|员工状态(1.正式,2.试用,3.离职)
entryDate|Date|否|入职时间
contractStartDate|Date|否|现合同开始时间
contractEndDate|Date|否|现合同到期时间
contractCompany|String|否|合同公司
contractType|Integer|否|合同类型(1.纸质)
newStartDate|Date|否|新合同开始时间
newEndDate|Date|否|新合同到期时间
auditStatus|Integer|否|审核状态(0.待审核,1.通过,2.拒绝)

**请求样例:**
```
{
    "staffId":371,
    "staffName":"6wpjf7",
    "gender":2270,
    "birthday":"2023-04-07",
    "photoPath":"x487to",
    "phoneNumber":"q53ei5",
    "idCard":"2bto6t",
    "workNum":"u994n8",
    "politicalstatus":3031,
    "deptId":411,
    "deptName":"v5i8ev",
    "jobId":7655,
    "jobName":"bqoujx",
    "staffType":9429,
    "status":2415,
    "entryDate":"2023-04-07",
    "contractStartDate":"2023-04-07",
    "contractEndDate":"2023-04-07",
    "contractCompany":"nbdeyt",
    "contractType":3242,
    "newStartDate":"2023-04-07",
    "newEndDate":"2023-04-07",
    "auditStatus":2994,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;gender|Integer|性别(1.男,2.女)
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;photoPath|String|照片
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;politicalstatus|Integer|政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;jobId|Long|职位ID
&emsp;&emsp;jobName|String|职位名称
&emsp;&emsp;staffType|Integer|员工类型(1.全职,2.兼职,3.实习)
&emsp;&emsp;status|Integer|员工状态(1.正式,2.试用,3.离职)
&emsp;&emsp;entryDate|Date|入职时间
&emsp;&emsp;contractStartDate|Date|现合同开始时间
&emsp;&emsp;contractEndDate|Date|现合同到期时间
&emsp;&emsp;contractCompany|String|合同公司
&emsp;&emsp;contractType|Integer|合同类型(1.纸质)
&emsp;&emsp;newStartDate|Date|新合同开始时间
&emsp;&emsp;newEndDate|Date|新合同到期时间
&emsp;&emsp;auditStatus|Integer|审核状态(0.待审核,1.通过,2.拒绝)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工合同信息

**请求URL:** staff/contract/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工合同信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/staff/contract/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤打卡记录信息

### 查询考勤打卡记录信息列表

**请求URL:** attendance/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤打卡记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffName|String|否|员工姓名,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "staffName":"mlzydy",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|打卡日期
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤打卡记录信息

**请求URL:** attendance/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤打卡记录信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工ID
&emsp;staffName|String|员工姓名
&emsp;workNum|String|工号
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;positionId|Long|职位ID
&emsp;positionName|String|职位名称
&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;attendanceDate|Date|打卡日期
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2586,
            "staffId":5116,
            "staffName":"7kuu34",
            "workNum":"lj56io",
            "deptId":3778,
            "deptName":"zbaaql",
            "positionId":464,
            "positionName":"8vy7xa",
            "attendanceGroupId":1461,
            "attendanceGroupName":"s6rlqf",
            "shiftsId":4405,
            "shiftsName":"b0bxn4",
            "attendanceDate":"2023-04-07",
            "remark":"rhqww2",
            "createUserId":6842,
            "createTime":"2023-04-07",
            "updateUserId":1948,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤打卡记录信息

**请求URL:** attendance/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤打卡记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工ID
staffName|String|是|员工姓名
workNum|String|否|工号
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
positionId|Long|否|职位ID
positionName|String|否|职位名称
attendanceGroupId|Long|否|所属考勤组ID
attendanceGroupName|String|否|所属考勤组名称
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
attendanceDate|Date|否|打卡日期
remark|String|否|备注

**请求样例:**
```
{
    "staffId":855,
    "staffName":"ygm2p4",
    "workNum":"1e1e7n",
    "deptId":9452,
    "deptName":"zs79jr",
    "positionId":8785,
    "positionName":"w42mkz",
    "attendanceGroupId":5411,
    "attendanceGroupName":"4oibg9",
    "shiftsId":6600,
    "shiftsName":"gi9dun",
    "attendanceDate":"2023-04-07",
    "remark":"mhnalt",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工ID
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;workNum|String|工号
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;positionId|Long|职位ID
&emsp;&emsp;positionName|String|职位名称
&emsp;&emsp;attendanceGroupId|Long|所属考勤组ID
&emsp;&emsp;attendanceGroupName|String|所属考勤组名称
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;attendanceDate|Date|打卡日期
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤打卡记录信息

**请求URL:** attendance/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤打卡记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤打卡记录详细信息

### 查询考勤打卡记录详细信息列表

**请求URL:** attendance/record/detail/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤打卡记录详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|考勤记录ID
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkResult|Integer|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkResult|Integer|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;goWorkResult|object|字典属性对象，详见附录
&emsp;offWorkResult|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤打卡记录详细信息

**请求URL:** attendance/record/detail/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤打卡记录详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/record/detail/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;recordId|Long|考勤记录ID
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;goWorkDate|Date|上班打卡时间
&emsp;goWorkResult|Integer|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;offWorkDate|Date|下班打卡时间
&emsp;offWorkResult|Integer|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;goWorkResult|object|字典属性对象，详见附录
&emsp;offWorkResult|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1910,
            "recordId":1937,
            "shiftsId":5294,
            "shiftsName":"soiqwj",
            "goWorkDate":"2023-04-07",
            "goWorkResult":563,
            "offWorkDate":"2023-04-07",
            "offWorkResult":7958,
            "remark":"8ojw39",
            "createUserId":6290,
            "createTime":"2023-04-07",
            "updateUserId":4630,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤打卡记录详细信息

**请求URL:** attendance/record/detail/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤打卡记录详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
recordId|Long|否|考勤记录ID
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
goWorkDate|Date|否|上班打卡时间
goWorkResult|Integer|否|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
offWorkDate|Date|否|下班打卡时间
offWorkResult|Integer|否|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
remark|String|否|备注

**请求样例:**
```
{
    "recordId":7042,
    "shiftsId":7648,
    "shiftsName":"83n5td",
    "goWorkDate":"2023-04-07",
    "goWorkResult":8654,
    "offWorkDate":"2023-04-07",
    "offWorkResult":3196,
    "remark":"lbe8hm",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|考勤记录ID
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkResult|Integer|上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkResult|Integer|下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤打卡记录详细信息

**请求URL:** attendance/record/detail/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤打卡记录详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/record/detail/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤组信息

### 查询考勤组信息列表

**请求URL:** attendance/group/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤组信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;personNum|Integer|人数
&emsp;&emsp;responsiblePerson|String|负责人
&emsp;&emsp;type|Integer|类型(1.固定班指)
&emsp;&emsp;attendanceTime|Integer|考勤时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤组信息

**请求URL:** attendance/group/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤组信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/group/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;groupName|String|考勤组名称
&emsp;personNum|Integer|人数
&emsp;responsiblePerson|String|负责人
&emsp;type|Integer|类型(1.固定班指)
&emsp;attendanceTime|Integer|考勤时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6607,
            "groupName":"invhp0",
            "personNum":2170,
            "responsiblePerson":"dc42ge",
            "type":2507,
            "attendanceTime":7039,
            "remark":"7a3ekk",
            "createUserId":5569,
            "createTime":"2023-04-07",
            "updateUserId":3591,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤组信息

**请求URL:** attendance/group/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤组信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
groupName|String|否|考勤组名称
personNum|Integer|否|人数
responsiblePerson|String|否|负责人
type|Integer|否|类型(1.固定班指)
attendanceTime|Integer|否|考勤时间
remark|String|否|备注

**请求样例:**
```
{
    "groupName":"be65ae",
    "personNum":6975,
    "responsiblePerson":"tpl0kp",
    "type":8308,
    "attendanceTime":583,
    "remark":"2it8mw",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;groupName|String|考勤组名称
&emsp;&emsp;personNum|Integer|人数
&emsp;&emsp;responsiblePerson|String|负责人
&emsp;&emsp;type|Integer|类型(1.固定班指)
&emsp;&emsp;attendanceTime|Integer|考勤时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤组信息

**请求URL:** attendance/group/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤组信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/group/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤班次信息

### 查询考勤班次信息列表

**请求URL:** attendance/class/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤班次信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤班次信息

**请求URL:** attendance/class/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤班次信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/class/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;className|String|班次名称
&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7820,
            "className":"imnac5",
            "classResponsiblePersonId":7049,
            "classResponsiblePersonName":"qm4l4x",
            "remark":"kb2kk7",
            "createUserId":3785,
            "createTime":"2023-04-07",
            "updateUserId":5742,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤班次信息

**请求URL:** attendance/class/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤班次信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
className|String|否|班次名称
classResponsiblePersonId|Long|否|班次负责人ID
classResponsiblePersonName|String|否|班次负责人名称
remark|String|否|备注

**请求样例:**
```
{
    "className":"5olksb",
    "classResponsiblePersonId":3400,
    "classResponsiblePersonName":"qmo5fi",
    "remark":"rxigqg",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;className|String|班次名称
&emsp;&emsp;classResponsiblePersonId|Long|班次负责人ID
&emsp;&emsp;classResponsiblePersonName|String|班次负责人名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤班次信息

**请求URL:** attendance/class/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤班次信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/class/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 考勤班次详细信息

### 查询考勤班次详细信息列表

**请求URL:** attendance/class/detail/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询考勤班次详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看考勤班次详细信息

**请求URL:** attendance/class/detail/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看考勤班次详细信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/class/detail/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;shiftsId|Long|班次ID
&emsp;shiftsName|String|班次名称
&emsp;goWorkDate|Date|上班打卡时间
&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;offWorkDate|Date|下班打卡时间
&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4340,
            "shiftsId":866,
            "shiftsName":"jhwk0q",
            "goWorkDate":"2023-04-07",
            "goWorkDateBefore":8021,
            "goWorkDateAfter":9782,
            "offWorkDate":"2023-04-07",
            "offWorkDateBefore":5344,
            "offWorkDateAfter":4281,
            "remark":"otkz6r",
            "createUserId":727,
            "createTime":"2023-04-07",
            "updateUserId":6429,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新考勤班次详细信息

**请求URL:** attendance/class/detail/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新考勤班次详细信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
shiftsId|Long|否|班次ID
shiftsName|String|否|班次名称
goWorkDate|Date|否|上班打卡时间
goWorkDateBefore|Integer|否|上班打卡前时间段,单位分钟
goWorkDateAfter|Integer|否|上班打卡前时间段,单位分钟
offWorkDate|Date|否|下班打卡时间
offWorkDateBefore|Integer|否|下班打卡前时间段,单位分钟
offWorkDateAfter|Integer|否|下班打卡前时间段,单位分钟
remark|String|否|备注

**请求样例:**
```
{
    "shiftsId":3006,
    "shiftsName":"qyaevn",
    "goWorkDate":"2023-04-07",
    "goWorkDateBefore":275,
    "goWorkDateAfter":9117,
    "offWorkDate":"2023-04-07",
    "offWorkDateBefore":2806,
    "offWorkDateAfter":7820,
    "remark":"uztsoc",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;shiftsId|Long|班次ID
&emsp;&emsp;shiftsName|String|班次名称
&emsp;&emsp;goWorkDate|Date|上班打卡时间
&emsp;&emsp;goWorkDateBefore|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;goWorkDateAfter|Integer|上班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDate|Date|下班打卡时间
&emsp;&emsp;offWorkDateBefore|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;offWorkDateAfter|Integer|下班打卡前时间段,单位分钟
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除考勤班次详细信息

**请求URL:** attendance/class/detail/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除考勤班次详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/class/detail/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 请假记录信息

### 查询请假记录信息列表

**请求URL:** attendance/leave/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询请假记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
leavePersonId|Long|否|请假人id
deptName|String|否|所属部门,字段前后添加%%模糊查询
phoneNumber|String|否|电话号码,字段前后添加%%模糊查询
leaveType|Integer|否|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
startTime|Date|否|开始时间
endTime|Date|否|结束时间

**请求样例:**
```
  {
        "leavePersonId":8612,
        "deptName":"dvnd9m",
        "phoneNumber":"3jg6fe",
        "leaveType":6078,
        "startTime":"2023-04-07",
        "endTime":"2023-04-07",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;leavePersonId|Long|请假人id
&emsp;&emsp;leavePerson|String|请假人
&emsp;&emsp;deptId|Long|所属部门id
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;phoneNumber|String|电话号码
&emsp;&emsp;leaveType|Integer|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
&emsp;&emsp;startTime|Date|开始时间
&emsp;&emsp;endTime|Date|结束时间
&emsp;&emsp;duration|Integer|时长,单位秒
&emsp;&emsp;reason|String|请假事由
&emsp;&emsp;approverId|Long|审批负责人Id
&emsp;&emsp;approver|String|审批负责人
&emsp;&emsp;attachment|String|附件
&emsp;&emsp;attachmentPath|String|附件路径
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;leaveType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看请假记录信息

**请求URL:** attendance/leave/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看请假记录信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/leave/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;leavePersonId|Long|请假人id
&emsp;leavePerson|String|请假人
&emsp;deptId|Long|所属部门id
&emsp;deptName|String|所属部门
&emsp;phoneNumber|String|电话号码
&emsp;leaveType|Integer|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
&emsp;startTime|Date|开始时间
&emsp;endTime|Date|结束时间
&emsp;duration|Integer|时长,单位秒
&emsp;reason|String|请假事由
&emsp;approverId|Long|审批负责人Id
&emsp;approver|String|审批负责人
&emsp;attachment|String|附件
&emsp;attachmentPath|String|附件路径
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;leaveType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5047,
            "leavePersonId":683,
            "leavePerson":"5lalt7",
            "deptId":1094,
            "deptName":"spdie5",
            "phoneNumber":"c5pyqc",
            "leaveType":988,
            "startTime":"2023-04-07",
            "endTime":"2023-04-07",
            "duration":8044,
            "reason":"hyz3gn",
            "approverId":5200,
            "approver":"fry8xq",
            "attachment":"3izx2v",
            "attachmentPath":"f1ezw2",
            "remark":"ehtzoe",
            "createUserId":7895,
            "createTime":"2023-04-07",
            "updateUserId":2130,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新请假记录信息

**请求URL:** attendance/leave/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新请假记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
leavePersonId|Long|是|请假人id
leavePerson|String|否|请假人
deptId|Long|否|所属部门id
deptName|String|否|所属部门
phoneNumber|String|否|电话号码
leaveType|Integer|否|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
startTime|Date|否|开始时间
endTime|Date|否|结束时间
duration|Integer|否|时长,单位秒
reason|String|否|请假事由
approverId|Long|否|审批负责人Id
approver|String|否|审批负责人
attachment|String|否|附件
attachmentPath|String|否|附件路径
remark|String|否|备注

**请求样例:**
```
{
    "leavePersonId":9958,
    "leavePerson":"55dery",
    "deptId":4600,
    "deptName":"gzttbb",
    "phoneNumber":"01kn2r",
    "leaveType":4797,
    "startTime":"2023-04-07",
    "endTime":"2023-04-07",
    "duration":9355,
    "reason":"oqz29j",
    "approverId":1250,
    "approver":"nvwm3j",
    "attachment":"5cn6cu",
    "attachmentPath":"r4bzfg",
    "remark":"zmj5e1",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;leavePersonId|Long|请假人id
&emsp;&emsp;leavePerson|String|请假人
&emsp;&emsp;deptId|Long|所属部门id
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;phoneNumber|String|电话号码
&emsp;&emsp;leaveType|Integer|请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假)
&emsp;&emsp;startTime|Date|开始时间
&emsp;&emsp;endTime|Date|结束时间
&emsp;&emsp;duration|Integer|时长,单位秒
&emsp;&emsp;reason|String|请假事由
&emsp;&emsp;approverId|Long|审批负责人Id
&emsp;&emsp;approver|String|审批负责人
&emsp;&emsp;attachment|String|附件
&emsp;&emsp;attachmentPath|String|附件路径
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除请假记录信息

**请求URL:** attendance/leave/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除请假记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/leave/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 员工假期余额信息

### 查询员工假期余额信息列表

**请求URL:** attendance/vacation/balance/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询员工假期余额信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
staffId|Long|否|员工id
staffName|String|否|员工姓名,字段前后添加%%模糊查询
deptId|Long|否|部门id
deptName|String|否|部门名称,字段前后添加%%模糊查询
entryTime|Date|否|入职时间
personalLeaveDays|BigDecimal|否|事假（天）
compensatedLeaveDays|BigDecimal|否|调休（天）
sickLeaveDays|BigDecimal|否|病假（天）
annualLeaveDays|BigDecimal|否|年假（天）
marriageLeaveDays|BigDecimal|否|婚假（天）

**请求样例:**
```
  {
        "staffId":9144,
        "staffName":"th922m",
        "deptId":2036,
        "deptName":"pntg03",
        "entryTime":"2023-04-07",
        "personalLeaveDays":0.95,
        "compensatedLeaveDays":0.42,
        "sickLeaveDays":0.18,
        "annualLeaveDays":0.05,
        "marriageLeaveDays":0.19,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工id
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;entryTime|Date|入职时间
&emsp;&emsp;personalLeaveDays|BigDecimal|事假（天）
&emsp;&emsp;compensatedLeaveDays|BigDecimal|调休（天）
&emsp;&emsp;sickLeaveDays|BigDecimal|病假（天）
&emsp;&emsp;annualLeaveDays|BigDecimal|年假（天）
&emsp;&emsp;marriageLeaveDays|BigDecimal|婚假（天）
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看员工假期余额信息

**请求URL:** attendance/vacation/balance/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看员工假期余额信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/attendance/vacation/balance/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;staffId|Long|员工id
&emsp;staffName|String|员工姓名
&emsp;deptId|Long|部门id
&emsp;deptName|String|部门名称
&emsp;entryTime|Date|入职时间
&emsp;personalLeaveDays|BigDecimal|事假（天）
&emsp;compensatedLeaveDays|BigDecimal|调休（天）
&emsp;sickLeaveDays|BigDecimal|病假（天）
&emsp;annualLeaveDays|BigDecimal|年假（天）
&emsp;marriageLeaveDays|BigDecimal|婚假（天）
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4062,
            "staffId":3961,
            "staffName":"39vtrt",
            "deptId":3250,
            "deptName":"cmn42l",
            "entryTime":"2023-04-07",
            "personalLeaveDays":0.21,
            "compensatedLeaveDays":0.24,
            "sickLeaveDays":0.33,
            "annualLeaveDays":0.09,
            "marriageLeaveDays":0.68,
            "remark":"iltzm1",
            "createUserId":3323,
            "createTime":"2023-04-07",
            "updateUserId":8630,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新员工假期余额信息

**请求URL:** attendance/vacation/balance/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新员工假期余额信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
staffId|Long|否|员工id
staffName|String|否|员工姓名
deptId|Long|否|部门id
deptName|String|否|部门名称
entryTime|Date|否|入职时间
personalLeaveDays|BigDecimal|否|事假（天）
compensatedLeaveDays|BigDecimal|否|调休（天）
sickLeaveDays|BigDecimal|否|病假（天）
annualLeaveDays|BigDecimal|否|年假（天）
marriageLeaveDays|BigDecimal|否|婚假（天）
remark|String|否|备注

**请求样例:**
```
{
    "staffId":5626,
    "staffName":"e2rs4j",
    "deptId":9498,
    "deptName":"o2fvb6",
    "entryTime":"2023-04-07",
    "personalLeaveDays":0.8,
    "compensatedLeaveDays":0.17,
    "sickLeaveDays":0.24,
    "annualLeaveDays":0.64,
    "marriageLeaveDays":0.11,
    "remark":"ylqz26",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;staffId|Long|员工id
&emsp;&emsp;staffName|String|员工姓名
&emsp;&emsp;deptId|Long|部门id
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;entryTime|Date|入职时间
&emsp;&emsp;personalLeaveDays|BigDecimal|事假（天）
&emsp;&emsp;compensatedLeaveDays|BigDecimal|调休（天）
&emsp;&emsp;sickLeaveDays|BigDecimal|病假（天）
&emsp;&emsp;annualLeaveDays|BigDecimal|年假（天）
&emsp;&emsp;marriageLeaveDays|BigDecimal|婚假（天）
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除员工假期余额信息

**请求URL:** attendance/vacation/balance/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除员工假期余额信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/attendance/vacation/balance/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### careType
字典参数key|字典参数值|其它
:---|:---|:---
1|生日关怀|-
2|入职周年关怀|-
### sendStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未发送|-
1|已发送|-
### careType
字典参数key|字典参数值|其它
:---|:---|:---
1|生日关怀|-
2|入职周年关怀|-
### sms
字典参数key|字典参数值|其它
:---|:---|:---
1|是|-
0|否|-
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### staffType
字典参数key|字典参数值|其它
:---|:---|:---
1|全职|-
2|兼职|-
3|实习|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### auditStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|待审核|-
1|通过|-
2|拒绝|-
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### staffType
字典参数key|字典参数值|其它
:---|:---|:---
1|全职|-
2|兼职|-
3|实习|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### auditStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|待审|-
1|通过|-
2|拒绝|-
### gender
字典参数key|字典参数值|其它
:---|:---|:---
1|男|-
2|女|-
### staffType
字典参数key|字典参数值|其它
:---|:---|:---
1|全职|-
2|兼职|-
3|实习|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|正式|-
2|试用|-
3|离职|-
### contractType
字典参数key|字典参数值|其它
:---|:---|:---
1|纸质|-
### auditStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|待审核|-
1|通过|-
2|拒绝|-
### goWorkResult
字典参数key|字典参数值|其它
:---|:---|:---
1|正常|-
2|请假|-
3|缺卡|-
4|迟到|-
5|早退|-
### offWorkResult
字典参数key|字典参数值|其它
:---|:---|:---
1|正常|-
2|请假|-
3|缺卡|-
4|迟到|-
5|早退|-
### type
字典参数key|字典参数值|其它
:---|:---|:---
1|固定班指|-
### leaveType
字典参数key|字典参数值|其它
:---|:---|:---
1|事假|-
2|调休|-
3|病假|-
4|年假|-
5|产假|-
6|陪产假|-
7|婚假|-
8|例假|-
9|哺乳假|-
10|丧假|-
